List Vector Load Jobs

Use the list_index_jobs operation to list asynchronous index jobs.

The operation returns metadata for all CREATE and REBUILD index operations, including their current states and progress.

See the following for examples of how to implement list_index_jobs:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    # or username="<user>", password="<pass>"
    access_token="<bearer-token>", 
))

index_jobs = client.list_index_jobs()
print(index_jobs)

A JSON response is returned containing an array of index jobs.

Example response:

{
  "items": [
    {
      "job_name": "VECDB_CREATE_INDEX_ABC123",
      "job_creator": "VECTOR3",
      "operation": "CREATE",
      "state": "SUCCEEDED",
      "links": [
        {
          "rel": "self",
          "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/vecdb_create_index_abc123/"
        },
        {
          "rel": "related",
          "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/vecdb_create_index_abc123/jobfile"
        }
      ]
    }
  ],
  "count": 1
}

For more information about the list_index_jobs operation, see Python API Reference.

See how GET /vecdb/vector-indexes/jobs/ can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Responses:

  • Example 200 response:
    {
      "count": 1,
      "hasMore": false,
      "items": [
        {
          "job_creator": "APPUSER",
          "job_name": "VECDB_CREATE_INDEX_20260501100000",
          "job_type": "PLSQL_BLOCK",
          "operation": "CREATE",
          "state": "SUCCEEDED",
          "start_date": "2026-05-01T10:00:00.302367Z",
          "links": [
            {
              "href": "/vecdb/vector-indexes/jobs/vecdb_create_index_20260501100000",
              "rel": "self"
            },
            {
              "href": "/vecdb/vector-indexes/jobs/vecdb_create_index_20260501100000/jobfile",
              "rel": "related"
            }
          ]
        }
      ],
      "limit": 25,
      "offset": 0
    }

For more information about GET /vecdb/vector-indexes/jobs/, see REST API Reference.